Bug 1410526 - Kickstart install of 6.8 with hostname entered in DNS configuration on firstboot results in missing "localhost" alias in /etc/hosts
Summary: Kickstart install of 6.8 with hostname entered in DNS configuration on firstb...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-network
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 16:25 UTC by Steve Muskiewicz
Modified: 2017-03-30 11:31 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 11:31:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steve Muskiewicz 2017-01-05 16:25:03 UTC
Description of problem: After installing RH 6.8 via kickstart and entering a new hostname (that does not resolve in DNS) via the "DNS configuration" text UI (system-config-network-tui) on first boot after install, the resulting /etc/hosts file is missing the "localhost" alias for 127.0.0.1


Version-Release number of selected component (if applicable):
system-config-network-tui-1.6.0.el6.3-4.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install 6.8 (text mode) via Kickstart
2. On firstboot text screen, select "DNS configuration", enter a hostname that does not resolve to anything in DNS, then Save&Continue
3. Check /etc/hosts file, the entered hostname has been added as an alias for 127.0.0.1 but the "localhost" alias is now missing

Actual results:

/etc/hosts has 127.0.0.1 with the specified hostname but not the "localhost" alias

Expected results:

/etc/hosts should have 127.0.0.1 with the specified hostname AND "localhost" as an alias


Additional info:

This would appear to be a regression from 6.7, repeating the same procedure with a RH 6.7 install yields an /etc/hosts with the "localhost" alias as expected.

Also important to note is that the IP address (either DHCP or static) assigned to the host must not reverse lookup to a valid name in DNS AND the hostname entered in the DNS config must also be unresolvable, otherwise everything appears to work (probably because system-config-network doesn't need to modify /etc/hosts at all to insert an alias for the specified hostname?)

Finally, if you run system-network-config *after* firstboot and change to any host name (resolvable or unresolvable in DNS), then it does appear to restore the "localhost" alias to /etc/hosts.  So not sure if this problem is related to something with the firstboot steps?

Please LMK if you require any additional info.

thanks!

Comment 2 Jan Synacek 2017-03-30 11:31:33 UTC
Red Hat Enterprise Linux 6 shipped it's last Production 2 phase minor
release, RHEL 6.9, on March 21, 2016. On May 10, 2017, RHEL 6 exits
Production 2 phase and moves into Production 3 phase. For RHEL releases
in Production 3 phase, Red Hat will provide critical-impact security
fixes and urgent priority bug fixes for the last minor release but will
not provide any software enhancements or hardware enablement.

This BZ does not appear to meet the Product 3 phase inclusion criteria
described above so is being closed WONTFIX. If this BZ is critical for
your environment, please open a case in the Red Hat Customer Portal,
https://access.redhat.com, provide a thorough business justification and
ask that the BZ be re-opened for consideration. Please note, only
critical-impact security fixes and urgent priority bug fixes will be
considered, and no software enhancements or hardware enablement will be
performed.


Note You need to log in before you can comment on or make changes to this bug.